[detherjs](../README.md) › [Globals](../globals.md) › ["types"](../modules/_types_.md) › [ITellerArgs](_types_.itellerargs.md)

# Interface: ITellerArgs

## Hierarchy

* **ITellerArgs**

## Index

### Properties

* [buyRate](_types_.itellerargs.md#optional-buyrate)
* [currencyId](_types_.itellerargs.md#optional-currencyid)
* [description](_types_.itellerargs.md#optional-description)
* [isBuyer](_types_.itellerargs.md#isbuyer)
* [isSeller](_types_.itellerargs.md#isseller)
* [messenger](_types_.itellerargs.md#optional-messenger)
* [position](_types_.itellerargs.md#position)
* [refFees](_types_.itellerargs.md#optional-reffees)
* [referrer](_types_.itellerargs.md#optional-referrer)
* [sellRate](_types_.itellerargs.md#optional-sellrate)

## Properties

### `Optional` buyRate

• **buyRate**? : *number*

*Defined in [types.ts:54](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L54)*

___

### `Optional` currencyId

• **currencyId**? : *number*

*Defined in [types.ts:49](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L49)*

___

### `Optional` description

• **description**? : *string*

*Defined in [types.ts:57](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L57)*

___

###  isBuyer

• **isBuyer**: *boolean*

*Defined in [types.ts:52](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L52)*

___

###  isSeller

• **isSeller**: *boolean*

*Defined in [types.ts:51](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L51)*

___

### `Optional` messenger

• **messenger**? : *string*

*Defined in [types.ts:50](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L50)*

___

###  position

• **position**: *string*

*Defined in [types.ts:48](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L48)*

___

### `Optional` refFees

• **refFees**? : *number*

*Defined in [types.ts:56](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L56)*

___

### `Optional` referrer

• **referrer**? : *string*

*Defined in [types.ts:55](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L55)*

___

### `Optional` sellRate

• **sellRate**? : *number*

*Defined in [types.ts:53](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L53)*
