[detherjs](../README.md) › [Globals](../globals.md) › ["types"](../modules/_types_.md) › [IZone](_types_.izone.md)

# Interface: IZone

## Hierarchy

- **IZone**

## Index

### Properties

- [address](_types_.izone.md#optional-address)
- [auction](_types_.izone.md#optional-auction)
- [geohash](_types_.izone.md#geohash)
- [owner](_types_.izone.md#optional-owner)
- [status](_types_.izone.md#status)

## Properties

### `Optional` address

• **address**? : _string_

_Defined in [types.ts:86](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L86)_

---

### `Optional` auction

• **auction**? : _[IZoneAuction](_types_.izoneauction.md)_

_Defined in [types.ts:88](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L88)_

---

### geohash

• **geohash**: _string_

_Defined in [types.ts:84](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L84)_

---

### `Optional` owner

• **owner**? : _[IZoneOwner](_types_.izoneowner.md)_

_Defined in [types.ts:87](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L87)_

---

### status

• **status**: _[ZoneStatus](../enums/_types_.zonestatus.md)_

_Defined in [types.ts:85](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L85)_
