[detherjs](../README.md) › [Globals](../globals.md) › ["helpers/convert"](_helpers_convert_.md)

# Module: "helpers/convert"

## Index

### Functions

* [add0x](_helpers_convert_.md#const-add0x)
* [asciiToHex](_helpers_convert_.md#const-asciitohex)
* [ethToWei](_helpers_convert_.md#const-ethtowei)
* [ethToWeiBN](_helpers_convert_.md#const-ethtoweibn)
* [hexToAscii](_helpers_convert_.md#const-hextoascii)
* [padZeroLeft](_helpers_convert_.md#const-padzeroleft)
* [padZeroRight](_helpers_convert_.md#const-padzeroright)
* [remove0x](_helpers_convert_.md#const-remove0x)
* [weiToEth](_helpers_convert_.md#const-weitoeth)
* [weiToEthNumber](_helpers_convert_.md#const-weitoethnumber)

## Functions

### `Const` add0x

▸ **add0x**(`txt`: string): *string*

*Defined in [helpers/convert.ts:22](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L22)*

**Parameters:**

Name | Type |
------ | ------ |
`txt` | string |

**Returns:** *string*

___

### `Const` asciiToHex

▸ **asciiToHex**(`ascii`: string): *string*

*Defined in [helpers/convert.ts:18](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L18)*

**Parameters:**

Name | Type |
------ | ------ |
`ascii` | string |

**Returns:** *string*

___

### `Const` ethToWei

▸ **ethToWei**(`eth`: number): *string*

*Defined in [helpers/convert.ts:14](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L14)*

**Parameters:**

Name | Type |
------ | ------ |
`eth` | number |

**Returns:** *string*

___

### `Const` ethToWeiBN

▸ **ethToWeiBN**(`eth`: number): *BigNumber*

*Defined in [helpers/convert.ts:16](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L16)*

**Parameters:**

Name | Type |
------ | ------ |
`eth` | number |

**Returns:** *BigNumber*

___

### `Const` hexToAscii

▸ **hexToAscii**(`hex`: string): *string*

*Defined in [helpers/convert.ts:24](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L24)*

**Parameters:**

Name | Type |
------ | ------ |
`hex` | string |

**Returns:** *string*

___

### `Const` padZeroLeft

▸ **padZeroLeft**(`str`: string, `len`: number): *string*

*Defined in [helpers/convert.ts:8](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L8)*

**Parameters:**

Name | Type |
------ | ------ |
`str` | string |
`len` | number |

**Returns:** *string*

___

### `Const` padZeroRight

▸ **padZeroRight**(`str`: string, `len`: number): *string*

*Defined in [helpers/convert.ts:6](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L6)*

**Parameters:**

Name | Type |
------ | ------ |
`str` | string |
`len` | number |

**Returns:** *string*

___

### `Const` remove0x

▸ **remove0x**(`txt`: string): *string*

*Defined in [helpers/convert.ts:20](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L20)*

**Parameters:**

Name | Type |
------ | ------ |
`txt` | string |

**Returns:** *string*

___

### `Const` weiToEth

▸ **weiToEth**(`wei`: string): *string*

*Defined in [helpers/convert.ts:11](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L11)*

**Parameters:**

Name | Type |
------ | ------ |
`wei` | string |

**Returns:** *string*

___

### `Const` weiToEthNumber

▸ **weiToEthNumber**(`wei`: string): *number*

*Defined in [helpers/convert.ts:12](https://github.com/dethertech/detherJS/blob/34cf05e/src/helpers/convert.ts#L12)*

**Parameters:**

Name | Type |
------ | ------ |
`wei` | string |

**Returns:** *number*
