[detherjs](../README.md) › [Globals](../globals.md) › ["types"](../modules/_types_.md) › [DetherContract](_types_.dethercontract.md)

# Enumeration: DetherContract

## Index

### Enumeration members

* [CertifierRegistry](_types_.dethercontract.md#certifierregistry)
* [Control](_types_.dethercontract.md#control)
* [DetherToken](_types_.dethercontract.md#dethertoken)
* [ExchangeRateOracle](_types_.dethercontract.md#exchangerateoracle)
* [GeoRegistry](_types_.dethercontract.md#georegistry)
* [KycCertifier](_types_.dethercontract.md#kyccertifier)
* [ShopDispute](_types_.dethercontract.md#shopdispute)
* [Shops](_types_.dethercontract.md#shops)
* [SmsCertifier](_types_.dethercontract.md#smscertifier)
* [TaxCollector](_types_.dethercontract.md#taxcollector)
* [Teller](_types_.dethercontract.md#teller)
* [TokenRegistry](_types_.dethercontract.md#tokenregistry)
* [Users](_types_.dethercontract.md#users)
* [Zone](_types_.dethercontract.md#zone)
* [ZoneFactory](_types_.dethercontract.md#zonefactory)

## Enumeration members

###  CertifierRegistry

• **CertifierRegistry**: = "CertifierRegistry"

*Defined in [types.ts:159](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L159)*

___

###  Control

• **Control**: = "Control"

*Defined in [types.ts:150](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L150)*

___

###  DetherToken

• **DetherToken**: = "DetherToken"

*Defined in [types.ts:149](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L149)*

___

###  ExchangeRateOracle

• **ExchangeRateOracle**: = "ExchangeRateOracle"

*Defined in [types.ts:155](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L155)*

___

###  GeoRegistry

• **GeoRegistry**: = "GeoRegistry"

*Defined in [types.ts:152](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L152)*

___

###  KycCertifier

• **KycCertifier**: = "KycCertifier"

*Defined in [types.ts:158](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L158)*

___

###  ShopDispute

• **ShopDispute**: = "ShopDispute"

*Defined in [types.ts:161](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L161)*

___

###  Shops

• **Shops**: = "Shops"

*Defined in [types.ts:156](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L156)*

___

###  SmsCertifier

• **SmsCertifier**: = "SmsCertifier"

*Defined in [types.ts:157](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L157)*

___

###  TaxCollector

• **TaxCollector**: = "TaxCollector"

*Defined in [types.ts:163](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L163)*

___

###  Teller

• **Teller**: = "Teller"

*Defined in [types.ts:160](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L160)*

___

###  TokenRegistry

• **TokenRegistry**: = "TokenRegistry"

*Defined in [types.ts:162](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L162)*

___

###  Users

• **Users**: = "Users"

*Defined in [types.ts:151](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L151)*

___

###  Zone

• **Zone**: = "Zone"

*Defined in [types.ts:153](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L153)*

___

###  ZoneFactory

• **ZoneFactory**: = "ZoneFactory"

*Defined in [types.ts:154](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L154)*
