[detherjs](../README.md) › [Globals](../globals.md) › ["types"](../modules/_types_.md) › [IEthersOptions](_types_.iethersoptions.md)

# Interface: IEthersOptions

## Hierarchy

* **IEthersOptions**

## Index

### Properties

* [contracts](_types_.iethersoptions.md#optional-contracts)
* [etherscanKey](_types_.iethersoptions.md#optional-etherscankey)
* [infuraKey](_types_.iethersoptions.md#optional-infurakey)
* [network](_types_.iethersoptions.md#optional-network)
* [rpcURL](_types_.iethersoptions.md#optional-rpcurl)
* [rpcURL2](_types_.iethersoptions.md#optional-rpcurl2)

## Properties

### `Optional` contracts

• **contracts**? : *[IContractAddresses](_types_.icontractaddresses.md)*

*Defined in [types.ts:25](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L25)*

___

### `Optional` etherscanKey

• **etherscanKey**? : *string*

*Defined in [types.ts:23](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L23)*

___

### `Optional` infuraKey

• **infuraKey**? : *string*

*Defined in [types.ts:22](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L22)*

___

### `Optional` network

• **network**? : *string*

*Defined in [types.ts:19](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L19)*

___

### `Optional` rpcURL

• **rpcURL**? : *string*

*Defined in [types.ts:20](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L20)*

___

### `Optional` rpcURL2

• **rpcURL2**? : *string*

*Defined in [types.ts:21](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L21)*
