[detherjs](../README.md) › [Globals](../globals.md) › ["types"](../modules/_types_.md) › [IShop](_types_.ishop.md)

# Interface: IShop

## Hierarchy

* **IShop**

## Index

### Properties

* [address](_types_.ishop.md#optional-address)
* [category](_types_.ishop.md#category)
* [description](_types_.ishop.md#description)
* [disputeID](_types_.ishop.md#disputeid)
* [hasDispute](_types_.ishop.md#hasdispute)
* [lastTaxTime](_types_.ishop.md#optional-lasttaxtime)
* [name](_types_.ishop.md#name)
* [opening](_types_.ishop.md#opening)
* [position](_types_.ishop.md#position)
* [selfZonePrice](_types_.ishop.md#optional-selfzoneprice)
* [staked](_types_.ishop.md#staked)
* [zoneGeohash](_types_.ishop.md#zonegeohash)
* [zonePrice](_types_.ishop.md#optional-zoneprice)

## Properties

### `Optional` address

• **address**? : *string*

*Defined in [types.ts:229](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L229)*

___

###  category

• **category**: *string*

*Defined in [types.ts:219](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L219)*

___

###  description

• **description**: *string*

*Defined in [types.ts:221](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L221)*

___

###  disputeID

• **disputeID**: *number*

*Defined in [types.ts:225](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L225)*

___

###  hasDispute

• **hasDispute**: *boolean*

*Defined in [types.ts:224](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L224)*

___

### `Optional` lastTaxTime

• **lastTaxTime**? : *number*

*Defined in [types.ts:227](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L227)*

___

###  name

• **name**: *string*

*Defined in [types.ts:220](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L220)*

___

###  opening

• **opening**: *string*

*Defined in [types.ts:222](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L222)*

___

###  position

• **position**: *string*

*Defined in [types.ts:217](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L217)*

___

### `Optional` selfZonePrice

• **selfZonePrice**? : *string*

*Defined in [types.ts:228](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L228)*

___

###  staked

• **staked**: *string*

*Defined in [types.ts:223](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L223)*

___

###  zoneGeohash

• **zoneGeohash**: *string*

*Defined in [types.ts:218](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L218)*

___

### `Optional` zonePrice

• **zonePrice**? : *string*

*Defined in [types.ts:226](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L226)*
