[detherjs](../README.md) › [Globals](../globals.md) › ["types"](../modules/_types_.md) › [ITeller](_types_.iteller.md)

# Interface: ITeller

## Hierarchy

* **ITeller**

## Index

### Properties

* [buyRate](_types_.iteller.md#buyrate)
* [buyUp](_types_.iteller.md#optional-buyup)
* [currencyId](_types_.iteller.md#currencyid)
* [isBuyer](_types_.iteller.md#isbuyer)
* [isSeller](_types_.iteller.md#isseller)
* [messenger](_types_.iteller.md#optional-messenger)
* [refFees](_types_.iteller.md#optional-reffees)
* [referrer](_types_.iteller.md#optional-referrer)
* [sellRate](_types_.iteller.md#sellrate)
* [sellUp](_types_.iteller.md#optional-sellup)
* [tellerAddress](_types_.iteller.md#telleraddress)
* [tellerContractAddress](_types_.iteller.md#tellercontractaddress)
* [tellerGeohash](_types_.iteller.md#tellergeohash)
* [ticker](_types_.iteller.md#optional-ticker)
* [zoneAddress](_types_.iteller.md#zoneaddress)
* [zoneGeohash](_types_.iteller.md#zonegeohash)

## Properties

###  buyRate

• **buyRate**: *number*

*Defined in [types.ts:35](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L35)*

___

### `Optional` buyUp

• **buyUp**? : *string*

*Defined in [types.ts:42](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L42)*

___

###  currencyId

• **currencyId**: *number*

*Defined in [types.ts:31](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L31)*

___

###  isBuyer

• **isBuyer**: *boolean*

*Defined in [types.ts:30](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L30)*

___

###  isSeller

• **isSeller**: *boolean*

*Defined in [types.ts:29](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L29)*

___

### `Optional` messenger

• **messenger**? : *string*

*Defined in [types.ts:37](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L37)*

___

### `Optional` refFees

• **refFees**? : *number*

*Defined in [types.ts:39](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L39)*

___

### `Optional` referrer

• **referrer**? : *string*

*Defined in [types.ts:38](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L38)*

___

###  sellRate

• **sellRate**: *number*

*Defined in [types.ts:36](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L36)*

___

### `Optional` sellUp

• **sellUp**? : *string*

*Defined in [types.ts:41](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L41)*

___

###  tellerAddress

• **tellerAddress**: *string*

*Defined in [types.ts:43](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L43)*

___

###  tellerContractAddress

• **tellerContractAddress**: *string*

*Defined in [types.ts:44](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L44)*

___

###  tellerGeohash

• **tellerGeohash**: *string*

*Defined in [types.ts:32](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L32)*

___

### `Optional` ticker

• **ticker**? : *string*

*Defined in [types.ts:40](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L40)*

___

###  zoneAddress

• **zoneAddress**: *string*

*Defined in [types.ts:34](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L34)*

___

###  zoneGeohash

• **zoneGeohash**: *string*

*Defined in [types.ts:33](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L33)*
