[detherjs](../README.md) › [Globals](../globals.md) › ["types"](_types_.md)

# Module: "types"

## Index

### Namespaces

* [__global](_types_.md#__global)

### Enumerations

* [DetherContract](../enums/_types_.dethercontract.md)
* [DisputeType](../enums/_types_.disputetype.md)
* [Exchange](../enums/_types_.exchange.md)
* [ExternalContract](../enums/_types_.externalcontract.md)
* [Network](../enums/_types_.network.md)
* [ShopDisputeRuling](../enums/_types_.shopdisputeruling.md)
* [ShopDisputeStatus](../enums/_types_.shopdisputestatus.md)
* [Tier](../enums/_types_.tier.md)
* [Token](../enums/_types_.token.md)
* [TransactionStatus](../enums/_types_.transactionstatus.md)
* [Unit](../enums/_types_.unit.md)
* [ZoneAuctionState](../enums/_types_.zoneauctionstate.md)
* [ZoneStatus](../enums/_types_.zonestatus.md)

### Interfaces

* [IBalances](../interfaces/_types_.ibalances.md)
* [IContractAddresses](../interfaces/_types_.icontractaddresses.md)
* [IDate](../interfaces/_types_.idate.md)
* [IEstimation](../interfaces/_types_.iestimation.md)
* [IEthersOptions](../interfaces/_types_.iethersoptions.md)
* [IExchange](../interfaces/_types_.iexchange.md)
* [IExchangeEstimation](../interfaces/_types_.iexchangeestimation.md)
* [IExchangePair](../interfaces/_types_.iexchangepair.md)
* [IShop](../interfaces/_types_.ishop.md)
* [IShopArgs](../interfaces/_types_.ishopargs.md)
* [IShopDispute](../interfaces/_types_.ishopdispute.md)
* [ITeller](../interfaces/_types_.iteller.md)
* [ITellerArgs](../interfaces/_types_.itellerargs.md)
* [ITicker](../interfaces/_types_.iticker.md)
* [ITickerDecimal](../interfaces/_types_.itickerdecimal.md)
* [ITxOptions](../interfaces/_types_.itxoptions.md)
* [IWeb3](../interfaces/_types_.iweb3.md)
* [IZone](../interfaces/_types_.izone.md)
* [IZoneAuction](../interfaces/_types_.izoneauction.md)
* [IZoneOwner](../interfaces/_types_.izoneowner.md)

## Namespaces

###  __global

• **__global**:

*Defined in [types.ts:1](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L1)*

###  Window

• **Window**:

*Defined in [types.ts:2](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L2)*

###  ethereum

• **ethereum**: *any*

*Defined in [types.ts:3](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L3)*

###  web3

• **web3**: *any*

*Defined in [types.ts:4](https://github.com/dethertech/detherJS/blob/34cf05e/src/types.ts#L4)*
