"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DisputeType = exports.Exchange = exports.Network = exports.Token = exports.Tier = exports.TransactionStatus = exports.DetherContract = exports.Unit = exports.ExternalContract = exports.ZoneStatus = exports.ZoneAuctionState = void 0;
var ZoneAuctionState;
(function (ZoneAuctionState) {
    ZoneAuctionState["started"] = "started";
    ZoneAuctionState["ended"] = "ended";
})(ZoneAuctionState = exports.ZoneAuctionState || (exports.ZoneAuctionState = {}));
var ZoneStatus;
(function (ZoneStatus) {
    ZoneStatus["Inexistent"] = "Inexistent";
    ZoneStatus["Claimable"] = "Claimable";
    ZoneStatus["Occupied"] = "Occupied";
})(ZoneStatus = exports.ZoneStatus || (exports.ZoneStatus = {}));
var ExternalContract;
(function (ExternalContract) {
    ExternalContract["erc20"] = "erc20";
    ExternalContract["weth"] = "weth";
    ExternalContract["airswapExchange"] = "airswapExchange";
    ExternalContract["kyberNetworkProxy"] = "kyberNetworkProxy";
    ExternalContract["uniswapExchange"] = "uniswapExchange";
    ExternalContract["uniswapFactory"] = "uniswapFactory";
    ExternalContract["uniswapV2Router02"] = "uniswapV2Router02";
    ExternalContract["pancakeFactoryV2"] = "pancakeFactoryV2";
    ExternalContract["pancakePair"] = "pancakePair";
    ExternalContract["pancakeRouter"] = "pancakeRouter";
    // appealableArbitrator = "appealableArbitrator",
})(ExternalContract = exports.ExternalContract || (exports.ExternalContract = {}));
var Unit;
(function (Unit) {
    Unit["eth"] = "eth";
    Unit["usd"] = "usd";
    Unit["wei"] = "wei";
})(Unit = exports.Unit || (exports.Unit = {}));
var DetherContract;
(function (DetherContract) {
    DetherContract["ProtocolController"] = "ProtocolController";
    DetherContract["DetherToken"] = "DetherToken";
    DetherContract["AnyswapV4ERC20"] = "AnyswapV4ERC20";
    DetherContract["Control"] = "Control";
    DetherContract["Users"] = "Users";
    DetherContract["GeoRegistry"] = "GeoRegistry";
    DetherContract["Zone"] = "Zone";
    DetherContract["ZoneFactory"] = "ZoneFactory";
    DetherContract["ExchangeRateOracle"] = "ExchangeRateOracle";
    DetherContract["Shops"] = "Shops";
    DetherContract["SmsCertifier"] = "SmsCertifier";
    DetherContract["KycCertifier"] = "KycCertifier";
    DetherContract["CertifierRegistry"] = "CertifierRegistry";
    DetherContract["Teller"] = "Teller";
    // ShopDispute = "ShopDispute",
    DetherContract["TokenRegistry"] = "TokenRegistry";
    DetherContract["TaxCollector"] = "TaxCollector";
})(DetherContract = exports.DetherContract || (exports.DetherContract = {}));
var TransactionStatus;
(function (TransactionStatus) {
    TransactionStatus["pending"] = "pending";
    TransactionStatus["error"] = "error";
    TransactionStatus["success"] = "success";
    TransactionStatus["unknown"] = "unknown";
})(TransactionStatus = exports.TransactionStatus || (exports.TransactionStatus = {}));
var Tier;
(function (Tier) {
    Tier["sms"] = "sms";
    Tier["kyc"] = "kyc";
    Tier["uncertified"] = "uncertified";
})(Tier = exports.Tier || (exports.Tier = {}));
var Token;
(function (Token) {
    Token["ETH"] = "ETH";
    Token["DTH"] = "DTH";
    Token["DAI"] = "DAI";
    Token["BNB"] = "BNB";
    Token["MKR"] = "MKR";
    Token["OMG"] = "OMG";
    Token["ZRX"] = "ZRX";
    Token["VEN"] = "VEN";
    Token["AE"] = "AE";
    Token["REP"] = "REP";
    Token["HAV"] = "HAV";
    Token["NUSD"] = "NUSD";
    Token["ZLA"] = "ZLA";
    Token["FLIXX"] = "FLIXX";
    Token["PNK"] = "PNK";
    Token["CAN"] = "CAN";
    Token["KNC"] = "KNC";
    Token["B&BNB"] = "B&BNB";
})(Token = exports.Token || (exports.Token = {}));
var Network;
(function (Network) {
    Network["homestead"] = "homestead";
    Network["mainnet"] = "mainnet";
    Network["rinkeby"] = "rinkeby";
    Network["ropsten"] = "ropsten";
    Network["kovan"] = "kovan";
})(Network = exports.Network || (exports.Network = {}));
var Exchange;
(function (Exchange) {
    Exchange["kyber"] = "kyber";
    Exchange["uniswap"] = "uniswap";
    Exchange["pancakeSwap"] = "pancakeSwap";
})(Exchange = exports.Exchange || (exports.Exchange = {}));
var DisputeType;
(function (DisputeType) {
    DisputeType[DisputeType["firstOne"] = 0] = "firstOne";
})(DisputeType = exports.DisputeType || (exports.DisputeType = {}));
//# sourceMappingURL=types.js.map